Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfWrapOptionType

    java.lang.Object
      java.lang.Enum<OdfWrapOptionType>
          org.odftoolkit.odfdom.dom.type.fo.OdfWrapOptionType

All Implemented Interfaces:
  Serializable, Comparable<OdfWrapOptionType>

    public enum OdfWrapOptionType

extends Enum<OdfWrapOptionType>

DOM implementation of OpenDocument attribute fo:wrap-option.

Enum Constant Summary
`NO_WRAP`
`WRAP`

Method Summary
`static OdfWrapOptionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfWrapOptionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfWrapOptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfWrapOptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_WRAP

    public static final OdfWrapOptionType NO_WRAP

### WRAP

    public static final OdfWrapOptionType WRAP

Method Detail

### values

    public static OdfWrapOptionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfWrapOptionType c : OdfWrapOptionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfWrapOptionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfWrapOptionType>`
  Returns:
    return the name of OdfWrapOptionType

### toString

    public static String toString(OdfWrapOptionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfWrapOptionType, see fo:wrap-option
  Returns:
    return the name of OdfWrapOptionType

### enumValueOf

    public static OdfWrapOptionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfWrapOptionType
  Returns:
    return the constant of OdfWrapOptionType, see fo:wrap-option

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.